## com.mysql.jdbc
Class CachedResultSetMetaData

    java.lang.Object
      com.mysql.jdbc.CachedResultSetMetaData

    public class CachedResultSetMetaData

extends java.lang.Object

Field Summary
`(package private) java.util.Map` `columnNameToIndex` Map column names (and all of their permutations) to column indices
`(package private) Field[]` `fields` Cached Field info
`(package private) java.util.Map` `fullColumnNameToIndex` Map of fully-specified column names to column indices
`(package private) java.sql.ResultSetMetaData` `metadata` Cached ResultSetMetaData

Constructor Summary
`CachedResultSetMetaData()`

Method Summary
`java.util.Map` `getColumnNameToIndex()`
`Field[]` `getFields()`
`java.util.Map` `getFullColumnNameToIndex()`
`java.sql.ResultSetMetaData` `getMetadata()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### columnNameToIndex

    java.util.Map columnNameToIndex

  Map column names (and all of their permutations) to column indices

### fields

    Field[] fields

  Cached Field info

### fullColumnNameToIndex

    java.util.Map fullColumnNameToIndex

  Map of fully-specified column names to column indices

### metadata

    java.sql.ResultSetMetaData metadata

  Cached ResultSetMetaData

Constructor Detail

### CachedResultSetMetaData

    public CachedResultSetMetaData()

Method Detail

### getColumnNameToIndex

    public java.util.Map getColumnNameToIndex()

### getFields

    public Field[] getFields()

### getFullColumnNameToIndex

    public java.util.Map getFullColumnNameToIndex()

### getMetadata

    public java.sql.ResultSetMetaData getMetadata()